Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(612)

Unified Diff: platform_tools/android/bin/adb_push_if_needed

Issue 510653004: Add Android copy_directory_contents_[to|from]_device scripts (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: rename Created 6 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « platform_tools/android/bin/adb_pull_if_needed ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/adb_push_if_needed
diff --git a/platform_tools/android/bin/adb_push_if_needed b/platform_tools/android/bin/adb_push_if_needed
new file mode 100755
index 0000000000000000000000000000000000000000..96e093fee9dc6c69fb7ee8872452e5ea9b2ba088
--- /dev/null
+++ b/platform_tools/android/bin/adb_push_if_needed
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Copy the contents of a directory from the host to a device.
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $SCRIPT_DIR/android_setup.sh
+source $SCRIPT_DIR/utils/setup_adb.sh
+
+adb_push_if_needed ${APP_ARGS[@]}
+exit $?
« no previous file with comments | « platform_tools/android/bin/adb_pull_if_needed ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698